// Jesse Tweedle, late August sometime...


// put catgory in to check length


public class ConeNode
{
	public final static int GREATER = -55;
	public final static int EQUAL = -56;
	public final static int LESS = -57;

	private Category category_;
	private int domain_;
	private int[][] element_;	
	private ConeNode next_;
	
	public ConeNode(int[][] pathArray, int domain, Category category)
	{		
		element_ = pathArray;
		domain_ = domain;
		category_ = category;
	}

	public ConeNode getNext()
	{
		return next_;
	}

	public void setNext(ConeNode newNext)
	{
		next_ = newNext;
	}

	public int[][] getCone()
	{
		return element_;
	}

	public int isEqualTo(ConeNode otherCone)
	{
//		System.out.println("domain of first cone: " + domain_);
//		System.out.println("second cone: " + otherCone.getDomain());

		// should return one of GREATER, LESS, or EQUAL
		int[][] otherElement = otherCone.getCone();

		for (int i=0; i<element_.length; i++)
		{
			int least = Math.min(category_.path_len(element_[i]), category_.path_len(otherElement[i]));
//		System.out.println("starting i loop over: ");
			for (int j=0; j<least; j++)
			{
//				System.out.println("first ij: " + element_[i][j] + " other ij: " + otherElement[i][j]);
				if (element_[i][j] < otherElement[i][j])
				{
					return LESS;
				}
				else if (element_[i][j] > otherElement[i][j])
				{
//					System.out.println("is it this greater?");
					return GREATER;
				}
				//else {} // are equal
			}
//			System.out.println("first l: " + category_.path_len(element_[i]) + " other l: " + category_.path_len(otherElement[i]));
// this part doesn't do anything
			if (category_.path_len(element_[i]) < category_.path_len(otherElement[i]))
			{
				return LESS;
			}
			else if (category_.path_len(element_[i]) > category_.path_len(otherElement[i]))
			{
//					System.out.println("or this second greater?");
				return GREATER;
			}
			//else {} // are equal
		}
		return EQUAL;
	}
	
	public void printCone()
	{
		System.out.println("printing cone");
		for (int i=0; i<element_.length; i++)
		{
			int leng = category_.path_len(element_[i]);
			if (leng == 0)
			{
				System.out.print("[" + i + "][0]: -2");
			}
			for (int j=0; j<leng; j++)
			{
				System.out.print( "["+ i + "]" + "[" + j + "]: " + element_[i][j]);
			}
			System.out.println();
		}
	}
	
	public int getDomain()
	{
		return domain_;
	}
}