/*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               DDimension3.java
                    (author: Larry Barowski, Auburn University, 7/7/96)
Description:	      A class for holding a real 3D dimension of the visual display
                    in the graph class canvas.
*/

   public class DDimension3
      {
      public double	width, height, depth;
   
   
      public DDimension3(double width_in, double height_in, double depth_in)
         {
         width = width_in;
         height = height_in;
         depth = depth_in;
         }
   
      public DDimension3(DDimension3 init)
         {
         width = init.width;
         height = init.height;
         depth = init.depth;
         }
   
   
   
      public boolean equals(DDimension3 other)
         {
         if(other.width != width || other.height != height ||
         other.depth != depth)
            return false;
         return true;
         }
   
      }
