/*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               GDCTIntro.java
Description:	      This frame displays an intro image for GDCT as a "splash screen"
                    when the application is first opened
*/

//import statements
import java.awt.*;
import javax.swing.*;

class GDCTIntro extends JFrame
{
  //int check_enter = 0;
  //JButton exit = new JButton();
  //Panel button_panel = new Panel();
  //BorderLayout borderLayout1 = new BorderLayout();
  //IniSettings ini = new IniSettings();

  public GDCTIntro()
  //Default constructor
  {
    this.setResizable(false);
    this.setTitle("GDCT 3.0");
    //exit.setLabel("OK");
    //this.setLayout(borderLayout1);
    this.setSize(320,290);
  }

  public void paint(Graphics g)
  //This function "paints" onto the current frame's canvas it
  //is called when the frame is created
  {
    //Draw intro graphic
    g.drawImage(getToolkit().getImage("images/intro.jpg"), 4, 23, this);
  }
}
