/*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               Relation.java
Description:        This class is equivalent to a struct in C/C++ and stores
                    the lhs and rhs of the relations of a category
*/

public class Relation
{
	IniSettings ini = new IniSettings();
	int[] lhs = new int[ini.getRELLEN()];   //Left hand side of the equation
	int[] rhs = new int[ini.getRELLEN()];   //Right hand side of the equation
}
