/*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               DDimension.java
                    (author: Larry Barowski, Auburn University, 5/10/96)
Description:	      A class for holding a real dimension of the visual display
                    in the graph class canvas.
*/
 public class DDimension
   {
      public double	width, height;
   
   
      public DDimension(double width_in, double height_in)
      {
         width = width_in;
         height = height_in;
      }
   
   
      public DDimension(DDimension init)
      {
         width = init.width;
         height = init.height;
      }
   
   
   
      public void setTo(double w, double h)
      {
         width = w;
         height = h;
      }
   
   
   
      public void setTo(DDimension from)
      {
         width = from.width;
         height = from.height;
      }
   
   
   
      public boolean equals(DDimension other)
      {
         if(other.width != width || other.height != height)
            return false;
         return true;
      }
   
   }
