/*
Research Project:   Graphical Database for Category Theory
                    J. Bradbury, Dr. R. Rosebrugh, I. Rutherford
                    Mount Allison University 2001
File:               GDCT.java
Description:	      This file creates the application GDCT and displayes the
                    intro graphic frame (GDCTIntro.jpg) and displayes the main
                    frame (MainWindow.java).
*/

//import statements
import java.awt.*;

public class GDCT
{
	//Main method
	public static void main(String[] args)
	{
/*		// do splash screen
		GDCTIntro gi = new GDCTIntro();
	    gi.setSize(new Dimension(504, 360));
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		Dimension introFrameSize = gi.getSize();
		if (introFrameSize.height > screenSize.height)
			introFrameSize.height = screenSize.height;
		if (introFrameSize.width > screenSize.width)
			introFrameSize.width = screenSize.width;
		gi.setLocation((screenSize.width - introFrameSize.width) / 2, (screenSize.height - introFrameSize.height) / 2);
	    gi.setResizable(false);
    	gi.setVisible(true);
*/		
		
		//Create main frame
		MainWindow2 mw = new MainWindow2();
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
		Dimension frameSize = mw.getSize();
		if (frameSize.height > screenSize.height)
			frameSize.height = screenSize.height;
		if (frameSize.width > screenSize.width)
			frameSize.width = screenSize.width;
		mw.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
		mw.setVisible(true);
		
		
/*		for (int i=0; i<1000; i++) {}
		gi.setVisible(false);
		gi.dispose();*/
	}
}