
import javax.swing.*;


public class SumCategory
{
	
	CategoryInternalFrame categoryInternalFrame_;
	Category A;
	Category B;
	Category sum_;
	
	public SumCategory(CategoryInternalFrame categoryInternalFrame)
	{
		categoryInternalFrame_ = categoryInternalFrame;
	}
	
	public void createSumCategory()
	{
		int framecount =0;
		JInternalFrame[] jifs = categoryInternalFrame_.getDesktopPane().getAllFrames();
		for (int i=0; i<jifs.length; i++)
		{
			if (jifs[i] instanceof CategoryInternalFrame)
				framecount++;
		}
		Category[] categories = new Category[framecount];
		framecount=0;
		for (int i=0; i<jifs.length; i++)
		{
			if (jifs[i] instanceof CategoryInternalFrame)
				categories[framecount++] = ((CategoryInternalFrame)jifs[i]).getCategory();
		}

		A = new Category();
		B = new Category();
		Category temp = (Category)JOptionPane.showInputDialog(categoryInternalFrame_, "Choose another category:", "Product of Categories", JOptionPane.QUESTION_MESSAGE, null, categories, categories[0]);
		sum_ = new Category();
		
		if (temp == null)
			return;
		else 
			B.copyCategory(temp);

		A.copyCategory(categoryInternalFrame_.getCategory());
		
		setObjects();
		
		setArrows();
		
		setRelations();
		
		sum_.comment = A.name + ": " + A.comment + "\n" + B.name + ": " + B.comment;
		sum_.name = A.name + "+" + B.name;
		sum_.setGML();
		sum_.mod.isCreated();
		((MainWindow2)categoryInternalFrame_.getDesktopPane().getParent().getParent().getParent()).createCategoryInternalFrame(sum_);		
	}
	
	private void setObjects()
	{
		for (int i=0; i<A.num_objects; i++)
		{
			sum_.obj[sum_.num_objects++] = A.obj[i] + "{0}";
		}
		for (int i=0; i<B.num_objects; i++)
		{
			sum_.obj[sum_.num_objects++] = B.obj[i] + "{1}";
		}
	}
	
	private void setArrows()	
	{
		for (int i=0; i<A.num_arrows; i++)
		{
			sum_.arrow[sum_.num_arrows] = A.arrow[i] + "{0}";
			sum_.arr[sum_.num_arrows][0] = sum_.object_number(A.obj[A.arr[i][0]] + "{0}");
			sum_.arr[sum_.num_arrows++][1] = sum_.object_number(A.obj[A.arr[i][1]] + "{0}");
		}
		for (int i=0; i<B.num_arrows; i++)
		{
			sum_.arrow[sum_.num_arrows] = B.arrow[i] + "{1}";
			sum_.arr[sum_.num_arrows][0] = sum_.object_number(B.obj[B.arr[i][0]] + "{1}");
			sum_.arr[sum_.num_arrows++][1] = sum_.object_number(B.obj[B.arr[i][1]] + "{1}");
		}
	}
	
	private void setRelations()
	{
		// relations in category A and relations in category B, but have to change paths
		for (int i=0; i<A.num_relations; i++)
		{
			sum_.relations[sum_.num_relations] = new Relation();
			for (int j=0; j<A.path_len(A.relations[i].lhs); j++)
			{
				sum_.relations[sum_.num_relations].lhs[j] = sum_.arrow_number(A.arrow[A.relations[i].lhs[j]] + "{0}");
			}
			sum_.relations[sum_.num_relations].lhs[A.path_len(A.relations[i].lhs)] = -1;
			for (int j=0; j<A.path_len(A.relations[i].rhs); j++)
			{
				sum_.relations[sum_.num_relations].rhs[j] = sum_.arrow_number(A.arrow[A.relations[i].rhs[j]] + "{0}");
			}
			sum_.relations[sum_.num_relations++].rhs[A.path_len(A.relations[i].rhs)] = -1;
		}
		for (int i=0; i<B.num_relations; i++)
		{
			sum_.relations[sum_.num_relations] = new Relation();
			for (int j=0; j<B.path_len(B.relations[i].lhs); j++)
			{
				sum_.relations[sum_.num_relations].lhs[j] = sum_.arrow_number(B.arrow[B.relations[i].lhs[j]] + "{1}");
			}
			sum_.relations[sum_.num_relations].lhs[B.path_len(B.relations[i].lhs)] = -1;
			for (int j=0; j<B.path_len(B.relations[i].rhs); j++)
			{
				sum_.relations[sum_.num_relations].rhs[j] = sum_.arrow_number(B.arrow[B.relations[i].rhs[j]] + "{1}");
			}
			sum_.relations[sum_.num_relations++].rhs[B.path_len(B.relations[i].rhs)] = -1;
		}
	}	
}